Vous devez être connecté et donner une réaction ( Like ) au sujet pour débloquer les liens de téléchargements...
  • 0
Sign in to follow this  
Scratt

en cours Apache

Question

Coucou les gens j'ai un soucis x)

 

Version des files : 2013

Domaine (Base de données, Core, etc.) : SSH

Votre niveau (débutant, intermédiaire, avancé) : Archi pourris

 

Description du problème : Voilà j'ai fais ceci :

cd /usr/ports/www/apache24
make install clean 

Et j'ai un soucis tel que celui-ci (je suis en freebsd en 8.4)

 

144606Untitled-2.png

 

En postant ma demande d'aide, j'affirme avoir lu et accepté le règlement des demandes d'aides.

Share this post


Link to post
Share on other sites

17 answers to this question

Recommended Posts

  • 0

Correction du bug

 

J'avais le même problème, un membre du forum FreeBSD m'a donné une solution qui fonctionne (voir lien) mais le problème c'est que lors de l'installation de php5 il n'y a plus l'option apache (enfin, pour moi) donc à voir, mais je pense que apache pour FreeBSD c'est fini pour l'instant x)

Share this post


Link to post
Share on other sites
  • 0

Comment ça ? Pourrais-tu être plus clair ? Le Php fonctionnera pas sur apache ? de plus, le gettext est introuvable sur mon dédié et je sais pas trop comment l'installer

Share this post


Link to post
Share on other sites
  • 0

Ce que je veux dire, c'est que apache ne sera pas relié à php (sauf si l'option a changé, mais je ne trouve pas).

 

Tu peux voir ce que ça donne ici : http://37.59.52.229/index.php

 

Mon fichier est bien un .php, j'ai bien configuré mon httpd.conf, mais pourtant le script est affiché au lieu d'être exécuté

Share this post


Link to post
Share on other sites
  • 0

Hello,

 

je pense qu'ont peux rattaché PHP à apache manuellement, voir dans les .conf d'apache.

Share this post


Link to post
Share on other sites
  • 0

petit up, effectivement apache est fonctionnel, mais php marche pas, si quelqu'un a trouvé si possible me le communiquer

Share this post


Link to post
Share on other sites
  • 0

J'ai trouvé une solution, je sais pas si elle est très adaptée, mais ajoute moi skype on pourra en parler "ga-ant0k"

Share this post


Link to post
Share on other sites
  • 0

Ce n'est plus le port lang/php5(5) mais www/mod_php5(5) qu'il faut installer pour disposer du module Apache PHP comme mentionné dans /usr/ports/UPDATING

puisque cette fonctionnalité a récemment été séparée sous un port à part.

 

As-tu ajouté les lignes LoadModule pour charger le module php et AddType application/x-httpd-php .php (ou similaire)

pour faire interpréter les scripts dans ta conf apache. Enfin, bon, tout ça, on le trouve dans la doc de PHP, entre autres.

Share this post


Link to post
Share on other sites
  • 0

1) pour desintaller l'autre ancien ports :

 /usr/ports/lang/php5 && make deinstall 

 

2)pour installer le nouveau ports apache

 cd /usr/ports/www/mod_php5 && make install clean 

 

3) verifier que apache24 est dans /etc/rc.conf

 

 apache24_enable="YES" 

 

si il y est pas tu l'ecrit dedans avec ee ou vim

 

4) tu restart apache

 service apache24 restart 

Share this post


Link to post
Share on other sites
  • 0

Upgrade de version de Freebsd. J'imagine que tu es sur du Freebsd < 8.4 et c'est très probablement ce qui cause tes erreurs.

Sinon t'as toujours moyen de faire le :

cd /usr/ports/devel/p5-Locale-gettext

make NO_STAGE=yes install clean

Mais dans ce cas là faut que tu utilises apache avec cli ou fpm pour pouvoir faire fonctionner php avec apache.

Share this post


Link to post
Share on other sites
  • 0

je suis passé en 9.1 je suis en train d'essayer php mais comme j'ai peur de faire une connerie je sais pas si je fais mod_php ou php tout simplement

Share this post


Link to post
Share on other sites
  • 0

Ok merci beaucoup je test je vous dit

//J'ai eu un petit soucis j'ai l'impression que certains codes ne se lisent pas, il faudrait que je réinstalle php mais quand je fais make deinstall, ça supprime rien x)

Share this post


Link to post
Share on other sites
  • 0

Yop,

 

Le sujet contient la balise [Résolu], ou reste sans réponse depuis dix jours ou plus.

De ce fait, je le déplace dans la section "Résolu ou sans réponse".

 

Cordialement,

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this